curl --location --request GET 'https://api.stateset.com/v1/inventory_items/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
query {
inventory_item {
id
sku
upc
description
size
color
incoming
available
warehouse
arrivalDate
deliveryDate
}
}
var inventoryItems = await stateset.inventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
});
inventoryItems = stateset.inventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
})
inventoryItems = Stateset::InventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
})
$inventoryItems = $stateset->inventoryItems->retreive([
"id" => "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
]);
inventoryItems, err := stateset.InventoryItems.Retreive(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
)
InventoryItems inventoryItems = stateset.inventoryItems.retreive(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
);
{
"inventory_item": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "SKU-123",
"description": "This is a description",
"size": "Large",
"incoming": 10,
"color": "Red",
"warehouse": 1,
"available": 10,
"arriving": "2021-01-01",
"purchase_order_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}
]
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Inventory item not found",
"details": {
"resource": "inventory_item",
"id": "inv_abc123"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Get Inventory Item
This endpoint gets an inventory item.
GET
/
v1
/
inventory_items
/
{id}
curl --location --request GET 'https://api.stateset.com/v1/inventory_items/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
query {
inventory_item {
id
sku
upc
description
size
color
incoming
available
warehouse
arrivalDate
deliveryDate
}
}
var inventoryItems = await stateset.inventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
});
inventoryItems = stateset.inventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
})
inventoryItems = Stateset::InventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
})
$inventoryItems = $stateset->inventoryItems->retreive([
"id" => "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
]);
inventoryItems, err := stateset.InventoryItems.Retreive(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
)
InventoryItems inventoryItems = stateset.inventoryItems.retreive(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
);
{
"inventory_item": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "SKU-123",
"description": "This is a description",
"size": "Large",
"incoming": 10,
"color": "Red",
"warehouse": 1,
"available": 10,
"arriving": "2021-01-01",
"purchase_order_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}
]
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Inventory item not found",
"details": {
"resource": "inventory_item",
"id": "inv_abc123"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Body
string
This is the unique identifier for the inventory item.
Response
string
This is the unique identifier for the inventory item.
string
This is the stock keeping unit (SKU) for the inventory item.
string
This is the description for the inventory item.
string
This is the size for the inventory item.
number
This is the number of items incoming for the inventory item.
string
This is the color for the inventory item.
number
This is the identifier for the warehouse for the inventory item.
number
This is the number of items available for the inventory item.
date
This is the date when the items are expected to arrive for the inventory item.
string
This is the identifier for the purchase order associated with the inventory item.
curl --location --request GET 'https://api.stateset.com/v1/inventory_items/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
}'
query {
inventory_item {
id
sku
upc
description
size
color
incoming
available
warehouse
arrivalDate
deliveryDate
}
}
var inventoryItems = await stateset.inventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
});
inventoryItems = stateset.inventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
})
inventoryItems = Stateset::InventoryItems.retreive({
id: "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
})
$inventoryItems = $stateset->inventoryItems->retreive([
"id" => "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
]);
inventoryItems, err := stateset.InventoryItems.Retreive(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
)
InventoryItems inventoryItems = stateset.inventoryItems.retreive(
"0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
);
{
"inventory_item": [
{
"id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"sku": "SKU-123",
"description": "This is a description",
"size": "Large",
"incoming": 10,
"color": "Red",
"warehouse": 1,
"available": 10,
"arriving": "2021-01-01",
"purchase_order_id": "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}
]
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Inventory item not found",
"details": {
"resource": "inventory_item",
"id": "inv_abc123"
},
"request_id": "req_abc123def456"
}
}
{
"error": {
"code": "INVALID_API_KEY",
"message": "The API key provided is invalid or has been revoked",
"request_id": "req_abc123def456"
}
}
Inventory Item
| Name | Type | Description |
|---|---|---|
| id | Text (Primary Key, Unique) | Unique identifier for the entry |
| sku | Text (Nullable) | Stock Keeping Unit (SKU) for the entry |
| description | Text (Nullable) | Description or additional details about the entry |
| size | Text (Nullable) | Size of the item |
| incoming | Integer (Nullable) | Number of items incoming |
| color | Text (Nullable) | Color of the item |
| warehouse | Integer (Nullable) | Identifier for the warehouse |
| available | Integer (Nullable) | Number of items available |
| arriving | Date (Nullable) | Date when the items are expected to arrive |
| purchase_order_id | Text (Nullable) | Identifier for the purchase order associated with the entry |
โI